=== modified file 'standard_test_template.html'
--- standard_test_template.html	2011-09-09 11:38:41 +0000
+++ standard_test_template.html	2011-09-09 14:16:28 +0000
@@ -1,44 +1,31 @@
+<!--
+Copyright 2011 Canonical Ltd.  This software is licensed under the
+GNU Affero General Public License version 3 (see the file LICENSE).
+-->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html>
   <head>
-  <title>Standard JS test template</title>
-
-  <!-- YUI and test setup -->
-  <script type="text/javascript"
-          src="../../../../canonical/launchpad/icing/yui/yui/yui.js">
-  </script>
-  <link rel="stylesheet" href="../../../app/javascript/testing/test.css" />
-  <script type="text/javascript"
-          src="../../../app/javascript/testing/testrunner.js"></script>
-
-  <!-- Dependency -->
-  <script type="text/javascript"
-    src="../../../../canonical/launchpad/icing/yui/attribute/attribute.js">
-  </script>
-  <script type="text/javascript"
-    src="../../../../canonical/launchpad/icing/yui/event-custom/event-custom.js">
-  </script>
-  <script type="text/javascript"
-    src="../../../../canonical/launchpad/icing/yui/oop/oop.js">
-  </script>
-  <script type="text/javascript"
-    src="../../../app/javascript/client.js"></script>
-  <!-- ADD ANY DEPENDENCIES HERE -->
-
-  <!-- The module under test -->
-  <script type="text/javascript" src="../$MODULE_UNDER_TEST.js"></script>
-
-  <!-- The test suite -->
-  <script type="text/javascript" src="$YOUR_TEST_SUITE.JS"></script>
-
-  <!-- Test layout -->
-  <link rel="stylesheet"
-    href="../../../../canonical/launchpad/javascript/test.css" />
-  <style type="text/css">
-    /* CSS classes specific to this test */
-    .unseen { display: none; }
-  </style>
-</head>
-<body class="yui3-skin-sam">
-</body>
+    <title>Launchpad TESTLIBRARY</title>
+    <!-- YUI and test setup -->
+    <script type="text/javascript"
+            src="../../../../../canonical/launchpad/icing/yui/yui/yui.js">
+    </script>
+    <link rel="stylesheet" href="../../../../app/javascript/testing/test.css" />
+    <script type="text/javascript"
+            src="../../../../app/javascript/testing/testrunner.js"></script>
+
+    <!-- The module under test -->
+    <script type="text/javascript" src="../TESTLIBRARY.js"></script>
+
+    <!-- The test suite -->
+    <script type="text/javascript" src="test_TESTLIBRARY.js"></script>
+  </head>
+  <body class="yui-skin-sam">
+
+    <!-- The example markup required by the script to run -->
+    <div id="expected-id">
+      ...
+    </div>
+  </body>
 </html>
+

=== modified file 'standard_test_template.js'
--- standard_test_template.js	2011-09-09 11:38:41 +0000
+++ standard_test_template.js	2011-09-09 14:16:28 +0000
@@ -1,5 +1,4 @@
 /* Copyright (c) 2011, Canonical Ltd. All rights reserved. */
-
 YUI({
     base: '../../../../canonical/launchpad/icing/yui/',
     filter: 'raw',
@@ -14,39 +13,49 @@
 // Local aliases
 var Assert = Y.Assert,
     ArrayAssert = Y.ArrayAssert;
-
-var suite = new Y.Test.Suite("YOUR TEST SUITE NAME");
+var mynamespace = Y.lp.mynamespace;
+var suite = new Y.Test.Suite("mynamespace Tests");
 
 suite.add(new Y.Test.Case({
+    // Test the setup method.
+    name: 'setup',
 
-    name: 'A TEST CASE NAME',
+    _should: {
+        error: {
+            test_config_undefined: true,
+            }
+        },
 
     setUp: function() {
-        // Monkeypatch LP to avoid network traffic and to make
-        // some things work as expected.
-        Y.lp.client.Launchpad.prototype.named_post =
-          function(url, func, config) {
-            config.on.success();
-          };
-        LP = {
-          'cache': {
-            'bug': {
-              self_link: "http://bugs.example.com/bugs/1234"
-          }}};
-    },
+        this.tbody = Y.get('#milestone-rows');
+        },
 
     tearDown: function() {
-    },
-
-    /**
-     * The choice edit should be displayed inline.
-     */
-    test_something: function() {
-        // Test something
-    },
-
+        delete this.tbody;
+        mynamespace._milestone_row_uri_template = null;
+        mynamespace._tbody = null;
+        },
+
+    test_good_config: function() {
+        // Verify the config data is stored.
+        var config = {
+            milestone_row_uri_template: '/uri',
+            milestone_rows_id:  '#milestone-rows'
+            };
+        mynamespace.setup(config);
+        Y.Assert.areSame(
+            config.milestone_row_uri_template,
+            mynamespace._milestone_row_uri_template);
+        Y.Assert.areSame(this.tbody, mynamespace._tbody);
+        },
+
+    test_config_undefined: function() {
+        // Verify an error is thrown if there is no config.
+        mynamespace.setup();
+        },
 }));
 
+
 var handle_complete = function(data) {
     window.status = '::::' + JSON.stringify(data);
     };

